Rasa x problem ("local host website not opening")

local host is not opening after using “rasa x” command

this is what it is showing:- PS D:\pycharm work space.idea\AIBOT> rasa x Starting Rasa X in local mode… � 2021-10-12 23:48:53 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-10-12 23:48:55 ERROR concurrent.futures - exception calling callback for <Future at 0x273ff3633c8 state=finished raised gaierror> Traceback (most recent call last): File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\socket.py”, line 752, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\futures.py”, line 365, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\base_events.py”, line 736, in call_soon_threadsafe self._check_closed() File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\base_events.py”, line 479, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-10-12 23:48:55 ERROR concurrent.futures - exception calling callback for <Future at 0x273ff363608 state=finished returned list> Traceback (most recent call last): File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\futures.py”, line 365, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\base_events.py”, line 736, in call_soon_threadsafe self._check_closed() File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\base_events.py”, line 479, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\veges\AppData\Local\Programs\Python\Python37\lib\asyncio\base_events.py”, line 587, in run_until_complete return future.result() File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\rasax\community\services\stack_service.py”, line 115, in version timeout=timeout_in_seconds, File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “d:\pycharm work space.idea\aibot\venv\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None concurrent.futures._base.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Hi @VEGESH123 and welcome :bouquet: to the forum! can you please share rasa --version while activating Conda based environment?